package commandctrl

import (
	"context"
	"ucl.lmika.dev/ucl"
)

type CommandPack interface {
	InstOptions() []ucl.InstOption
	ConfigureUCL(ucl *ucl.Inst)
	RunPrelude(ctx context.Context, ucl *ucl.Inst) error
}
